Subject: bug#25630: [bug/df] Unicode is not supported on mounted point when I execute "df" command

From: Jaeseok Park <[email-masked]>
Date: Tue, 7 Feb 2017 22:11:38 +0900

Dear Pádraig

Thank you for your reply.

1. Maybe its volume name seems to be encoded by UTF-8. I formatted my USB
storage on OSX.

2. My $LC_ALL is empty and $LANG is "ko_KR.UTF-8".

3. The result of gls is as below:

BEAGLEBONE
boot.tar
ext
ssd
''$'\341\204\206\341\205\256\341\204\214\341\205\246'

If any test is needed, please tell me.

Thank you.

Best regards,
Jaeseok

2017-02-07 12:44 GMT+09:00 Pádraig Brady <[email-masked]>:

> On 05/02/17 21:49, Jaeseok Park wrote:
> > Hi.
> >
> > I'm using coreutils on OSX.
> > I have a USB storage which has the name "무제".
> > It is Korean characters and it means "NO NAME".
> >
> > However, when I execute "df", it shows as below:
> >
> > /dev/disk3s1     7563232   2510624   5052608  34% /Volumes/�??�?��??�?�
> >
> > It seems not to support Unicode charaters.
> >
> > Could you please fix it?
>
> Yes our replacement function in df is simplistic,
> and doesn't deal with all encodings. See:
> http://git.sv.gnu.org/cgit/coreutils.git/commit/?id=v8.17-51-g3ed70fd
>
> Now the fact that you have both types of replacement chars
> � (from mbsalign) and ? (from df),
> suggests there is some mismatch in encodings.
>
> What is the value of $LC_ALL and $LANG on your system?
> What encoding is the file on disk? I presume some variant of ISO-2022-KR,
> though I couldn't correlate that with the above output.
> The encoding of the file on disk should be indicated by:
>   LC_ALL=C gls --quoting=shell-escape -1 /Volumes
>
> If it was possible to use UTF-8 representation of /Volumes/무제
> then it would be displayed without issue.
>
> thanks,
> Pádraig
>

-- 
--------------------------

*"Good People, Valuable Challenge, Better World"*

Jaeseok Park | Daliworks Inc.

Mobile : +82-10-5759-5853

Office : +82-02-2274-3254
----------------------------